Postgres-XC 1.1 Documentation
Prev | Up |  | Next

# DROP NODE

## Name

DROP NODE -- drop a cluster node

## Synopsis

    DROP NODE nodename

## Description

> Note: The following description applies only to Postgres-XC

`DROP NODE` is new SQL query specific to Postgres-XC since 0.9.7 that deletes cluster node information in catalog pgxc_node.

Node connection that has been deleted does not guarranty that connection information cached in pooler is updated accordingly.

`DROP NODE` only runs on the local node where it is launched.

## Parameters

`nodename`

  The name of the selected cluster node.

## Examples

Drop a cluster node.

    DROP NODE cluster_node;

## Compatibility

`DROP NODE` does not conform to the SQL standards, it is a Postgres-XC specific command.

Prev | Home | Next
DROP LANGUAGE | Up | DROP NODE GROUP